#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=chamoli11.17_base.ps
projection=-JM16.0c+
region=-R78.1/79.6/30.2/31.1
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map chamoli11.17' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    30.571    79.369
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    30.595    79.322
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    30.768    78.771
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    30.732    78.710
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    30.826    78.686
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    30.760    78.703
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    30.740    78.859
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    30.724    78.897
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    30.464    79.376
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    30.411    79.363
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    30.418    79.374
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    30.444    79.442
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    30.563    79.287
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    30.429    79.388
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    30.434    79.302
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    30.398    79.349
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    30.381    79.394
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    30.399    79.375
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    30.472    79.437
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    30.451    79.409
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    30.415    79.359
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    30.410    79.361
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    30.409    79.397
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    30.427    79.360
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    30.359    79.385
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    30.407    79.379
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    30.381    79.397
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    30.344    79.400
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    30.379    79.361
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    30.553    79.297
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    30.559    79.228
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    30.584    79.125
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    30.584    79.157
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    30.853    78.482
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    30.546    79.197
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    30.552    79.300
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    30.871    78.376
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    30.947    78.243
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    30.606    78.874
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    30.551    79.206
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    30.381    79.463
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    30.474    79.074
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    30.499    79.126
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    30.560    79.080
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.573    79.372
    30.571    79.369
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.500    79.400
    30.571    79.369
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.596    79.323
    30.595    79.322
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.489    79.451
    30.595    79.322
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.768    78.772
    30.768    78.771
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.770    78.791
    30.768    78.771
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.733    78.711
    30.732    78.710
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.694    78.734
    30.732    78.710
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.827    78.687
    30.826    78.686
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.778    78.752
    30.826    78.686
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.761    78.705
    30.760    78.703
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.784    78.692
    30.760    78.703
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.741    78.859
    30.740    78.859
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.698    78.849
    30.740    78.859
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.723    78.898
    30.724    78.897
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.620    78.851
    30.724    78.897
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.465    79.378
    30.464    79.376
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.511    79.421
    30.464    79.376
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.410    79.367
    30.411    79.363
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.310    79.364
    30.411    79.363
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.419    79.374
    30.418    79.374
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.456    79.380
    30.418    79.374
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.445    79.444
    30.444    79.442
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.496    79.665
    30.444    79.442
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.565    79.289
    30.563    79.287
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.249    79.333
    30.563    79.287
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.430    79.390
    30.429    79.388
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.442    79.385
    30.429    79.388
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.437    79.303
    30.434    79.302
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.218    79.152
    30.434    79.302
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.399    79.351
    30.398    79.349
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.212    79.252
    30.398    79.349
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.382    79.397
    30.381    79.394
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.524    79.598
    30.381    79.394
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.399    79.376
    30.399    79.375
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.341    79.348
    30.399    79.375
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.473    79.438
    30.472    79.437
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.393    79.429
    30.472    79.437
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.450    79.409
    30.451    79.409
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.497    79.344
    30.451    79.409
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.415    79.358
    30.415    79.359
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.417    79.354
    30.415    79.359
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.409    79.361
    30.410    79.361
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.410    79.373
    30.410    79.361
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.409    79.398
    30.409    79.397
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.440    79.403
    30.409    79.397
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.427    79.359
    30.427    79.360
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.449    79.368
    30.427    79.360
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.358    79.385
    30.359    79.385
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.383    79.366
    30.359    79.385
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.406    79.379
    30.407    79.379
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.401    79.339
    30.407    79.379
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.380    79.398
    30.381    79.397
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.457    79.510
    30.381    79.397
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.343    79.400
    30.344    79.400
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.176    79.289
    30.344    79.400
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.378    79.362
    30.379    79.361
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.306    79.297
    30.379    79.361
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.554    79.299
    30.553    79.297
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.556    79.337
    30.553    79.297
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.560    79.230
    30.559    79.228
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.646    79.361
    30.559    79.228
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.584    79.127
    30.584    79.125
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.615    79.220
    30.584    79.125
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.583    79.157
    30.584    79.157
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.784    79.349
    30.584    79.157
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.857    78.483
    30.853    78.482
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.931    78.529
    30.853    78.482
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.548    79.198
    30.546    79.197
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.676    79.440
    30.546    79.197
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.552    79.303
    30.552    79.300
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.551    79.319
    30.552    79.300
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.875    78.379
    30.871    78.376
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.896    78.396
    30.871    78.376
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.948    78.244
    30.947    78.243
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.999    78.325
    30.947    78.243
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.609    78.875
    30.606    78.874
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.704    78.939
    30.606    78.874
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.552    79.207
    30.551    79.206
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.417    79.253
    30.551    79.206
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.382    79.465
    30.381    79.463
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.375    79.482
    30.381    79.463
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.463    79.067
    30.474    79.074
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.444    79.247
    30.474    79.074
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.502    79.128
    30.499    79.126
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.575    79.074
    30.499    79.126
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.562    79.081
    30.560    79.080
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.654    79.164
    30.560    79.080
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    30.571    79.369   -39.270     2.383     3.437
    30.595    79.322   -38.400     2.256     3.574
    30.768    78.771   -68.940     1.129     2.049
    30.732    78.710   -47.861     2.545     3.556
    30.826    78.686   -51.156     2.576     3.368
    30.760    78.703   -61.481     2.147     3.898
    30.740    78.859   -60.693     2.310     3.497
    30.724    78.897   -59.777     1.510     4.322
    30.464    79.376   -67.743     1.065     2.034
    30.411    79.363   -66.925     1.109     1.989
    30.418    79.374   -61.015     1.103     1.808
    30.444    79.442   -53.579     1.663     3.214
    30.563    79.287   -52.581     1.283     2.327
    30.429    79.388   -58.391     1.426     3.168
    30.434    79.302   -38.307     1.679     2.988
    30.398    79.349   -56.605     1.045     2.844
    30.381    79.394   -50.575     1.368     2.718
    30.399    79.375   -53.761     0.990     1.565
    30.472    79.437   -52.419     1.909     4.023
    30.451    79.409   -60.421     2.348     3.713
    30.415    79.359   -69.515     0.637     1.085
    30.410    79.361   -69.695     0.961     1.316
    30.409    79.397   -66.242     0.866     1.248
    30.427    79.360   -74.247     1.169     1.544
    30.359    79.385   -58.962     0.856     1.172
    30.407    79.379   -65.469     0.855     1.307
    30.381    79.397   -77.009     1.217     1.417
    30.344    79.400   -60.962     1.220     1.585
    30.379    79.361    59.101     1.027     1.486
    30.553    79.297   -69.776     1.016     1.540
    30.559    79.228   -68.361     1.117     1.889
    30.584    79.125   -71.547     1.859     4.138
    30.584    79.157   -72.475     2.111     3.455
    30.853    78.482   -59.331     1.828     2.493
    30.546    79.197    54.948     2.599     3.477
    30.552    79.300   -59.106     1.027     1.957
    30.871    78.376   -50.911     1.467     2.990
    30.947    78.243   -51.716     1.498     2.759
    30.606    78.874   -65.127     2.774     4.848
    30.551    79.206   -72.552     2.212     6.215
    30.381    79.463   -60.909     1.016     2.154
    30.474    79.074   -59.017     2.063     6.559
    30.499    79.126   -57.582     1.444     3.843
    30.560    79.080   -75.155     1.192     1.567
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    30.768    78.771     0.200
    30.464    79.376     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    30.247    78.155    67.582     1.429     2.031
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    30.247    78.178   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    30.247    78.155     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    30.247    78.155     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    30.202    78.155   5 km
END
