#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=chamoli11.17_dcal.ps
projection=-JM16.0c+
region=-R75.5/82.2/27.9/33.3
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration chamoli11.17' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.732    78.710
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.399    79.375
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.399    79.375
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.472    79.437
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.451    79.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.451    79.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.426    79.069
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.526    78.757
    30.415    79.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.418    79.319
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.407    79.321
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.510    79.090
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.526    78.757
    30.410    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.407    79.321
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.407    79.321
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.453    79.445
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.383    79.317
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.383    79.317
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.296    79.108
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.426    79.069
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.510    79.090
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.526    78.757
    30.409    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.407    79.321
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.407    79.321
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.453    79.445
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.296    79.108
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.426    79.069
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.526    78.757
    30.427    79.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.328    79.321
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.328    79.321
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.334
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.418    79.319
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.453    79.445
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.465    79.263
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.465    79.263
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.296    79.108
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.549    79.123
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.549    79.123
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.510    79.090
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.510    79.090
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.526    78.757
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.305    78.621
    30.359    79.385
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.383    79.317
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.383    79.317
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.328    79.321
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.328    79.321
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.410    79.320
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.410    79.320
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.453    79.445
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.418    79.319
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.418    79.319
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.334
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.465    79.263
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.465    79.263
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.296    79.108
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.510    79.090
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.510    79.090
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.631    78.998
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.631    78.998
    30.407    79.379
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.407    79.321
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.407    79.321
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.328    79.321
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.328    79.321
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.549    79.123
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.549    79.123
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.510    79.090
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.510    79.090
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.291    78.973
    30.381    79.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.418    79.319
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.418    79.319
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.410    79.320
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.410    79.320
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.453    79.445
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.453    79.445
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.334
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.329    79.194
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.329    79.194
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.296    79.108
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.296    79.108
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.549    79.123
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.549    79.123
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.284    78.980
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.284    78.980
    30.344    79.400
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.410    79.320
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.410    79.320
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.418    79.319
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.418    79.319
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.328    79.321
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.328    79.321
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.403    79.396
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.437    79.427
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.329    79.194
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.329    79.194
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.463    79.442
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.334
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.262    79.217
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.247    79.247
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.252    79.223
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.251    79.456
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.250    79.416
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.296    79.108
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.296    79.108
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.413    79.042
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.555    79.561
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.291    78.973
    30.379    79.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.553    79.297
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.553    79.297
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.559    79.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.584    79.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.584    79.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.584    79.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.853    78.482
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.546    79.197
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.546    79.197
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.552    79.300
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.552    79.300
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.871    78.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.871    78.376
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.947    78.243
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.323    78.056
    30.947    78.243
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.551    79.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.556    79.558
    30.551    79.206
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    30.323    78.056     0.300
    30.262    79.217     0.300
    30.437    79.427     0.300
    30.463    79.442     0.300
    30.252    79.223     0.300
    30.426    79.069     0.300
    30.413    79.042     0.300
    30.526    78.757     0.300
    30.418    79.319     0.300
    30.407    79.321     0.300
    30.247    79.247     0.300
    30.510    79.090     0.300
    30.453    79.445     0.300
    30.383    79.317     0.300
    30.250    79.416     0.300
    30.555    79.561     0.300
    30.296    79.108     0.300
    30.328    79.321     0.300
    30.403    79.396     0.300
    30.250    79.334     0.300
    30.465    79.263     0.300
    30.549    79.123     0.300
    30.305    78.621     0.300
    30.410    79.320     0.300
    30.631    78.998     0.300
    30.291    78.973     0.300
    30.329    79.194     0.300
    30.284    78.980     0.300
    30.251    79.456     0.300
    30.556    79.558     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.571    79.369     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.595    79.322     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.768    78.771     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.732    78.710     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.826    78.686     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.760    78.703     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.740    78.859     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.724    78.897     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.464    79.376     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.411    79.363     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.418    79.374     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.444    79.442     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.563    79.287     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.429    79.388     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.434    79.302     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.398    79.349     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.381    79.394     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.399    79.375     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.472    79.437     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.451    79.409     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.415    79.359     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.410    79.361     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.409    79.397     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.427    79.360     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.359    79.385     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.407    79.379     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.381    79.397     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.344    79.400     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.379    79.361     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.553    79.297     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.559    79.228     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.584    79.125     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.584    79.157     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.853    78.482     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.546    79.197     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.552    79.300     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.871    78.376     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.947    78.243     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.606    78.874     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.551    79.206     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.381    79.463     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.474    79.074     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.499    79.126     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.560    79.080     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    30.537    79.169     0.000   222.000   222.000
    30.537    79.169     0.000   444.000   444.000
END
