#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=chamoli11.17_epa_1.ps
projection=-JM16.0c+
region=-R60.7/97.0/15.2/46.1
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn chamoli11.17' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/etopo2.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    30.537    79.169     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.683    77.217    -0.053
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.650    73.252     0.215
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.300    83.017    -0.615
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.150    71.417    -0.197
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.541    69.043    -0.010
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.567    91.883    -0.610
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.833    74.617     0.254
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.530    73.849    -0.353
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.329    69.286    -0.384
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.417    76.417     0.117
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.417    78.553    -0.913
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.550    80.217    -0.236
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.921    72.672     0.125
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.658    73.264     0.378
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.003    84.637     0.019
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.794    71.743     0.112
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.609    85.106     0.022
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.790    85.280    -0.029
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.824    71.909     0.124
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.571    85.409    -0.005
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.911    85.879    -0.037
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.300    70.807     0.225
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.744    70.203     0.426
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.517    75.973     0.188
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    22.083    82.417    -1.118
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.188    66.950     0.002
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    20.703    77.015    -0.363
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.700    91.150     0.252
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.000    70.317    -0.319
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.433    76.000     0.220
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.558    68.775    -0.199
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.550    90.333    -0.818
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    22.539    88.331    -0.197
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.249    77.223     0.236
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.272    76.947     0.166
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.896    72.813    -0.128
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.821    87.695     0.017
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.721    83.329    -0.698
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.308    74.183    -0.385
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.483    78.400    -0.035
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    31.867    76.333    -0.298
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.250    77.083     0.183
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.267    75.897     0.245
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.542    75.967    -0.086
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.433    75.717     0.270
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.660    86.190     0.003
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.950    86.600    -0.174
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.860    87.390     0.004
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.470    81.200    -0.266
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.583    77.217     0.348
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.710    82.340    -0.031
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.231    75.245     0.020
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.770    83.600    -0.014
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.953    75.950     0.389
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.466    78.539    -0.442
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    23.254    69.654     0.082
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.416    76.560    -0.806
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.638    74.494     0.061
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.983    77.000    -0.172
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.900    76.600    -0.140
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.917    75.917     0.479
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    26.479    74.643     0.230
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    23.254    69.654     0.087
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.307    74.183    -0.719
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.530    73.849    -0.415
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.241    77.424    -0.473
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.360    76.906     0.110
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.128    77.167    -0.031
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.308    77.120     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.521    76.327     0.276
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.225    76.359     0.468
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.644    76.205     0.524
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.577    75.952     0.181
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.128    77.167     0.120
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.500    76.970     0.482
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.625    77.175    -0.030
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.632    76.825     0.187
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.567    77.133     0.000
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.428    77.194    -0.095
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.480    80.740    -0.383
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.433    78.450    -0.796
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    29.180    80.630     0.030
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.420    81.670    -0.012
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.100    82.990    -0.141
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.350    83.760     0.074
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.721    83.329    -0.641
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.479    74.643     0.057
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.870    76.371     0.254
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.795    85.886    -0.230
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.688    76.939     0.120
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.482    77.127     0.359
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.144    76.489     0.054
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.167    79.983    -0.145
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    22.129    82.132    -0.522
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    21.750    72.143     0.424
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    20.296    85.806    -0.245
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.246    76.242     0.531
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.078    75.250     0.201
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.228    74.513    -0.086
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.656    74.948     0.319
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.921    75.597     0.310
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.662    73.777     0.311
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.267    74.500     0.230
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.103    70.511    -0.346
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.103    70.511    -0.462
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.794    82.290    -0.471
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.794    82.290    -0.350
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.074    75.806    -0.130
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.962    76.821    -0.432
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    29.450    80.246    -0.063
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.131    73.694     0.022
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.577    85.396     0.025
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.487    72.504    -0.199
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.770    82.300    -0.374
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.808    81.977    -0.776
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.794    82.290    -0.475
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.350    87.710    -0.066
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.333    88.617    -0.286
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.013    73.503     0.450
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.058    70.818     0.078
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.130    77.180     0.458
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.163    77.048     0.186
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.327    79.485     0.040
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.527    93.850    -0.255
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.743    94.251    -0.314
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.720    94.108    -0.184
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    24.831    93.947    -0.213
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    22.489    92.987    -0.257
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.999    74.751     0.101
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.250    76.300     0.197
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.059    78.406    -0.175
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.147    79.022    -0.201
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.157    79.462    -0.182
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.466    78.684    -0.249
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.893    76.339    -0.160
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.147    70.031    -0.297
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    45.002    78.406    -0.305
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    45.041    74.046    -0.253
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    28.683    77.217   NDI  
    33.650    73.252   NIL  
    25.300    83.017   VAR  
    34.150    71.417   WRS  
    34.541    69.043   KBL  
    25.567    91.883   SHL  
    42.833    74.617   FRU  
    18.530    73.849   POO  
    41.329    69.286   TAS  
    31.417    76.417   BHK  
    17.417    78.553   HYB  
    29.550    80.217   PTH  
    31.921    72.672   SARP 
    33.658    73.264   CHCP 
    28.003    84.637   GKN  
    32.794    71.743   THW  
    27.609    85.106   DMN  
    27.790    85.280   KKN  
    33.824    71.909   CEP  
    27.571    85.409   PKI  
    27.911    85.879   GUN  
    32.300    70.807   SBDP 
    31.744    70.203   DRP  
    39.517    75.973   KSH  
    22.083    82.417   BLPI 
    30.188    66.950   QUE  
    20.703    77.015   AKL  
    29.700    91.150   LSA  
    39.000    70.317   GAR  
    41.433    76.000   NRN  
    38.558    68.775   DSH  
    25.550    90.333   TURI 
    22.539    88.331   CAL  
    43.249    77.223   TLG  
    43.272    76.947   AAA  
    18.896    72.813   BOM  
    43.821    87.695   WMQ  
    17.721    83.329   VIS  
    17.308    74.183   KAD  
    42.483    78.400   PRZ  
    31.867    76.333   JWA  
    28.250    77.083   SONA 
    32.267    75.897   NURP 
    32.542    75.967   DLH  
    32.433    75.717   THN  
    27.660    86.190   JIRN 
    26.950    86.600   RAMN 
    26.860    87.390   ODAN 
    29.470    81.200   BAYN 
    28.583    77.217   LDR  
    28.710    82.340   MEGN 
    33.231    75.245   RMBN 
    27.770    83.600   KOLN 
    31.953    75.950   PONG 
    25.466    78.539   JHNI 
    23.254    69.654   BHJ  
    18.416    76.560   LATR 
    42.638    74.494   AAK  
    28.983    77.000   SNP  
    28.900    76.600   BHG  
    31.917    75.917   PNG  
    26.479    74.643   AJM  
    23.254    69.654   BHUJ 
    17.307    74.183   KARD 
    18.530    73.849   PUNE 
    23.241    77.424   BHPL 
    28.360    76.906   KSN  
    31.128    77.167   SML  
    32.308    77.120   KOTW 
    31.521    76.327   UNA  
    32.225    76.359   NAD  
    32.644    76.205   CHM  
    32.577    75.952   BNK  
    31.128    77.167   SMLA 
    31.500    76.970   SDNR 
    28.625    77.175   CLP  
    31.632    76.825   RWS  
    28.567    77.133   DLK  
    28.428    77.194   BHT  
    29.480    80.740   GJRN 
    17.433    78.450   HYD  
    29.180    80.630   GHAN 
    28.420    81.670   HARN 
    28.100    82.990   PYUN 
    28.350    83.760   DANN 
    17.721    83.329   VISK 
    26.479    74.643   AJMR 
    31.870    76.371   JWL  
    23.795    85.886   BOK  
    28.688    76.939   BHGR 
    28.482    77.127   AYAN 
    28.144    76.489   KUDL 
    23.167    79.983   JBP  
    22.129    82.132   BLSP 
    21.750    72.143   BHV  
    20.296    85.806   BWNR 
    42.246    76.242   ULHL 
    42.078    75.250   KZA  
    42.228    74.513   UCH  
    42.656    74.948   KBK  
    42.921    75.597   TKM2 
    42.662    73.777   EKS2 
    43.267    74.500   USP  
    43.103    70.511   KK31 
    43.103    70.511   KKAR 
    46.794    82.290   MKAR 
    46.794    82.290   MK31 
    28.074    75.806   KHET 
    29.962    76.821   KKR  
    29.450    80.246   LGTI 
    42.131    73.694   AML  
    27.577    85.396   PKIN 
    42.487    72.504   MNAS 
    46.770    82.300   MK01 
    46.808    81.977   MAKZ 
    46.794    82.290   MK32 
    27.350    87.710   TAPN 
    27.333    88.617   GTK  
    40.013    73.503   SFK  
    40.058    70.818   BTK  
    42.130    77.180   KDJ  
    43.163    77.048   MDOK 
    43.327    79.485   PDGK 
    27.527    93.850   ZIRO 
    26.743    94.251   JORH 
    25.720    94.108   KOHI 
    24.831    93.947   IMP  
    22.489    92.987   SAIH 
    42.999    74.751   CHMS 
    32.250    76.300   DHRM 
    43.059    78.406   SATY 
    43.147    79.022   UZB  
    43.157    79.462   SHLS 
    43.466    78.684   KPKS 
    43.893    76.339   KUU  
    42.147    70.031   IUG  
    45.002    78.406   TDK  
    45.041    74.046   BTLS 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    19.394    62.414   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
    17.444    63.809    -0.500
    17.444    65.804    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
    17.444    67.514     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
    17.444    69.509     0.250
    17.444    71.504     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
    18.449    62.409   Station Residuals (sec.)
    15.944    62.909   -2
    15.944    65.009   -1
    15.944    67.259   0
    15.944    68.684   +1
    15.944    70.709   +2
END
